// Cafi Net JavaScript Document

$(function(){

	// スライドショーのスピードを変更
	var first_photo = 2000; // 最初の写真を何秒かけて表示するか（1000 = 1秒）
	var change_photo = 2000; // 写真を何秒かけて切り替えるか
	var slide_time = 3000; // 何秒ごとに写真の切り替えを実行するか（first_photo と change_photo より長く設定）
	var change_photo_click = 800; // 写真を何秒かけて切り替えるか（戻る・進むボタンをクリックしたとき）
	
	// ブレークポイント
	var min_width = 600;
	
	// mobile nav
	$('#menu_button').click(function(){
		if($('#nav').css('margin-left')=='-200px') {
			$('#nav').animate({'margin-left':'0px'},'fast','linear');
			$('#menu_button').animate({'left':'200px'},'fast','linear');
		} else {
			$('#nav').animate({'margin-left':'-200px'},'fast','linear');
			$('#menu_button').animate({'left':'0px'},'fast','linear');
		}
	});

	$('#nav ul li a').click(function(){	
		if($(document).width()+15 < min_width && $('#nav').css('margin-left')=='0px') {		
			$('#nav').animate({'margin-left':'-200px'},'fast','linear');
			$('#menu_button').animate({'left':'0px'},'fast','linear');
		}			
	});
	
	// scroll
	$('a[href^=#]').click(function(){
		var id = $($(this).attr('href')).offset().top;
		$('body,html').animate({scrollTop:id-30},500,'swing');
		return false;
	});
	
	// pc nav
	if($(document).width()+15 >= min_width) {	
		$(window).scroll(function(){
			if($(this).scrollTop() > 30) {
				$('#nav').stop(true).animate({'top':'0px'},'fast','swing').css({'background-color':'rgba(255,255,255,1.00)','padding-top':'5px','padding-bottom':'5px'});
			} else {
				$('#nav').stop(true).animate({'top':'130px'},'fast','swing').css({'background-color':'rgba(255,255,255,0)','padding-top':'0px','padding-bottom':'0px'});
			}
		});
	}

	// slideshow
	$(window).load(function(){
		var stage_height = $('#stage ul li:first-child').find('img').height();
		$('#stage').css('height', stage_height);
	});

	$(window).resize(function(){
		var stage_height = $('#stage ul li:first-child').find('img').height();
		$('#stage').css('height', stage_height);
	});
	
	var last = $('#stage ul li').length;
	var number = 1;	
	var slide_set;
	var state;
	
	$('#stage ul li:first-child').animate({opacity:1}, first_photo);
	
	function slide_start (){
		slide_set = setInterval(function(){
			if (number == last) {
				$('#stage ul li:nth-child(' + number + ')').animate({opacity:0}, change_photo);
				$('#stage ul li:first-child').animate({opacity:1}, change_photo);
				number = 1;
			} else {
				$('#stage ul li:nth-child(' + number + ')').animate({opacity:0}, change_photo).next('li').animate({opacity:1}, change_photo);
				number++;
			}
		},slide_time);
		state = 1;
	}
	
	function slide_stop (){
		clearInterval(slide_set);
		state = 0;
	}
	
	slide_start();
	
	$('#stage').click(function(){
		if(state == 1){
			slide_stop();
			$('#slide_control').fadeIn('slow');
			$('#slide_control #number_last').html(number+'/'+last);
		} else if(state == 0){
			slide_start();
			$('#slide_control').fadeOut('slow');
		}
	});
	
	$('#prev_button').click(function(){
		if (number == 1) {
			$('#stage ul li:nth-child(' + number + ')').animate({opacity:0}, change_photo_click);
			$('#stage ul li:nth-child(' + last + ')').animate({opacity:1}, change_photo_click);
			number = last;
		} else {
			$('#stage ul li:nth-child(' + number + ')').animate({opacity:0}, change_photo_click).prev('li').animate({opacity:1}, change_photo_click);
			number--;
		}
		$('#slide_control #number_last').html(number+'/'+last);
	});
	
	$('#next_button').click(function(){
		if (number == last) {
			$('#stage ul li:nth-child(' + number + ')').animate({opacity:0}, change_photo_click);
			$('#stage ul li:first-child').animate({opacity:1}, change_photo_click);
			number = 1;
		} else {
			$('#stage ul li:nth-child(' + number + ')').animate({opacity:0}, change_photo_click).next('li').animate({opacity:1}, change_photo_click);
			number++;
		}
		$('#slide_control #number_last').html(number+'/'+last);
	});
	
});